Issue 11353

Title
Werkzeug new release breaks the test
Priority
bug
Status
resolved
Nosy list
ced, nicoe, reviewbot, roundup-bot
Assigned to
ced
Keywords
review

Created on 2022-03-31.00:03:37 by nicoe, last changed 2 months ago by roundup-bot.

Messages

New changeset a610674ec95c by Cédric Krier in branch '6.2':
Always use a Response wrapper when using testing client
https://hg.tryton.org/trytond/rev/a610674ec95c

New changeset 05e9d5cb4c06 by Cédric Krier in branch '6.0':
Always use a Response wrapper when using testing client
https://hg.tryton.org/trytond/rev/05e9d5cb4c06
New changeset 0fd08d93f429 by Cédric Krier in branch 'default':
Always use a Response wrapper when using testing client
https://hg.tryton.org/tryton-env/rev/0fd08d93f429
New changeset 171cdfb43730 by Cédric Krier in branch 'default':
Always use a Response wrapper when using testing client
https://hg.tryton.org/trytond/rev/171cdfb43730
Author: [hidden] (ced) Tryton committer Tryton translator
Date: 2022-04-17.10:07:35

I reopen it because now the test are no more working on version before 1.0.2 (https://github.com/pallets/werkzeug/commit/669323cf3c9c9241522e16a8a445450a0b9a55c9) as it fails with:

Traceback (most recent call last):
  File "/usr/local/lib/python3.9/dist-packages/trytond/tests/test_wsgi.py", line 110, in test_error_handlers_last_response
    self.assertEqual(next(response.response), b'baz')
AttributeError: 'tuple' object has no attribute 'response'
New changeset d488548ca402 by Nicolas Évrard in branch '6.0':
Add compatibility with Werkzeug 2.1.0
https://hg.tryton.org/trytond/rev/d488548ca402

New changeset 34ec02f528d7 by Nicolas Évrard in branch '6.2':
Add compatibility with Werkzeug 2.1.0
https://hg.tryton.org/trytond/rev/34ec02f528d7
New changeset 89b70e417915 by Nicolas Évrard in branch 'default':
Add compatibility with Werkzeug 2.1.0
https://hg.tryton.org/tryton-env/rev/89b70e417915
New changeset 635579072787 by Nicolas Évrard in branch 'default':
Add compatibility with Werkzeug 2.1.0
https://hg.tryton.org/trytond/rev/635579072787
Author: [hidden] (nicoe) Tryton committer
Date: 2022-03-31.00:03:36

With werkzeug new release some features has been removed which results in failling tests : https://drone.tryton.org/tryton/trytond/1055/35

History
Date User Action Args
2022-04-22 18:59:08roundup-botsetmessages: + msg76145
2022-04-22 18:33:01roundup-botsetmessages: + msg76137
2022-04-22 18:32:54roundup-botsetmessages: + msg76136
status: testing -> resolved
2022-04-17 10:31:33reviewbotsetmessages: + msg76042
2022-04-17 10:10:01cedsetreviews: 356241003 -> 356241003,385001002
status: in-progress -> testing
2022-04-17 10:07:35cedsetassignedto: nicoe -> ced
messages: + msg76040
nosy: + ced
status: resolved -> in-progress
2022-04-15 00:01:33roundup-botsetkeyword: - backport
messages: + msg75794
2022-03-31 13:43:56roundup-botsetmessages: + msg74883
2022-03-31 13:43:51roundup-botsetmessages: + msg74882
nosy: + roundup-bot
status: in-progress -> resolved
2022-03-31 12:06:23cedsetkeyword: + backport

Showing 10 items. Show all history (warning: this could be VERY long)